Bug 1181133 - Logitech QuickCam Zoom (pwc) no longer working on TW 20210115
Logitech QuickCam Zoom (pwc) no longer working on TW 20210115
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kernel
Current
x86-64 openSUSE Tumbleweed
: P5 - None : Normal (vote)
: ---
Assigned To: openSUSE Kernel Bugs
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-01-19 19:06 UTC by Javier Llorente
Modified: 2022-07-21 19:26 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
dmesg (68.89 KB, text/plain)
2021-01-20 22:43 UTC, Javier Llorente
Details
pwc trace (4.23 KB, text/plain)
2021-01-21 15:47 UTC, Javier Llorente
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Javier Llorente 2021-01-19 19:06:56 UTC
Today I have upgraded a PC from TW 20201218 to TW 20210115.
Unfortunately, the Logitech QuickCam Zoom plugged to it is no longer working. All I get is a black screen. Tested on Zoom and Firefox.

pwc: Failed to allocate urb buffer 0

It worked fine before. I assume it has something to do with the new kernel.

kernel-default-5.9.14-1.2.x86_64: OK
kernel-default-5.10.7-1.2.x86_64: NON-OK

Workaround: boot up with the previous kernel.

lsusb:
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 005: ID 13d3:3414 IMC Networks Bluetooth Radio 
Bus 001 Device 003: ID 058f:6366 Alcor Micro Corp. Multi Flash Reader
Bus 001 Device 007: ID 046d:08b3 Logitech, Inc. QuickCam Zoom
Bus 001 Device 006: ID 1a81:1004 Holtek Semiconductor, Inc. Wireless Dongle 2.4 GHZ HT82D40REW
Bus 001 Device 004: ID 046d:c05a Logitech, Inc. M90/M100 Optical Mouse
Bus 001 Device 002: ID 05e3:0608 Genesys Logic, Inc. Hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

hwinfo --cam
01: USB 00.2: 10f00 Camera                                      
  [Created at usb.122]
  Unique ID: cOn9.AN_e7XL7ryA
  Parent ID: cLrx.d7FDLX76qXB
  SysFS ID: /devices/pci0000:00/0000:00:14.0/usb1/1-2/1-2.3/1-2.3:1.2
  SysFS BusID: 1-2.3:1.2
  Hardware Class: camera
  Model: "Logitech QuickCam Zoom"
  Hotplug: USB
  Vendor: usb 0x046d "Logitech, Inc."
  Device: usb 0x08b3 "QuickCam Zoom"
  Driver: "snd-usb-audio"
  Driver Modules: "snd_usb_audio"
  Speed: 12 Mbps
  Module Alias: "usb:v046Dp08B3d0000dc00dsc00dp00ic01isc02ip00in02"
  Driver Info #0:
    Driver Status: pwc is active
    Driver Activation Cmd: "modprobe pwc"
  Config Status: cfg=new, avail=yes, need=no, active=unknown
  Attached to: #3 (Hub)
Comment 1 Takashi Iwai 2021-01-20 07:59:21 UTC
There has been no real code change between 5.9 and 5.10 wrt pwc driver itself, so it must be some other area (possibly the USB stack or the media core) that got broken.

Could you give the full kernel messages (output of dmesg)?  There might be some more hints than the single error line there.

Also, just to be sure, could you check some older 5.10.x kernels that are available in OBS history repo, and verify that all 5.10.x suffer from the problem?
  http://download.opensuse.org/history/
Comment 2 Javier Llorente 2021-01-20 22:43:47 UTC
Created attachment 845360 [details]
dmesg

Here's the dmesg output.
Comment 3 Takashi Iwai 2021-01-21 08:55:02 UTC
Thanks.  The attached log doesn't show the error message you mentioned "pwc: Failed to allocate urb buffer 0".  Could you catch those errors?
Comment 4 Javier Llorente 2021-01-21 15:47:16 UTC
Created attachment 845408 [details]
pwc trace
Comment 5 Javier Llorente 2021-01-21 15:50:48 UTC
(In reply to Takashi Iwai from comment #3)
> Thanks.  The attached log doesn't show the error message you mentioned "pwc:
> Failed to allocate urb buffer 0".  Could you catch those errors?

I only get that error when an app tries to open the video device.
BTW, I haven't mentioned it; if I boot up with the old kernel (5.9.14), the webcam works fine.
Comment 6 Takashi Iwai 2021-01-21 16:34:53 UTC
Thanks.

This is the new check in the DMA core side that was recently added.  That's why it hits only on 5.10, but the culprit is rather the pwc driver that passes the wrong device pointer, I suppose.

I'm building a test kernel with the possible fix in OBS home:tiwai:bsc1181133 repo.  The test kernel package will appear later (after an hour or so) at
  http://download.opensuse.org/repositories/home:/tiwai:/bsc1181133/standard/

Please give it a try later.
Comment 7 Javier Llorente 2021-01-21 19:18:25 UTC
(In reply to Takashi Iwai from comment #6)
> Thanks.
> 
> This is the new check in the DMA core side that was recently added.  That's
> why it hits only on 5.10, but the culprit is rather the pwc driver that
> passes the wrong device pointer, I suppose.
> 
> I'm building a test kernel with the possible fix in OBS
> home:tiwai:bsc1181133 repo.  The test kernel package will appear later
> (after an hour or so) at
>   http://download.opensuse.org/repositories/home:/tiwai:/bsc1181133/standard/
> 
> Please give it a try later.

I have installed the kernel from the above repository and I can confirm that the webcam is now working.

Thank you very much! :)
Comment 8 Takashi Iwai 2021-01-26 08:02:29 UTC
The fix was submitted to upstream and backported to stable git branch now.
Let's close.
Comment 12 OBSbugzilla Bot 2021-03-03 01:42:53 UTC
This is an autogenerated message for OBS integration:
This bug (1181133) was mentioned in
https://build.opensuse.org/request/show/876318 15.2 / kernel-source
Comment 16 Swamp Workflow Management 2021-03-08 11:24:14 UTC
openSUSE-SU-2021:0393-1: An update that solves 9 vulnerabilities and has 115 fixes is now available.

Category: security (important)
Bug References: 1065600,1065729,1078720,1081134,1084610,1132477,1151927,1152472,1152489,1154353,1155518,1156395,1163776,1169514,1170442,1176248,1176855,1177109,1177326,1177440,1177529,1178142,1178995,1179082,1179137,1179243,1179428,1179660,1179929,1180058,1180846,1180964,1180989,1181133,1181259,1181544,1181574,1181637,1181655,1181671,1181674,1181710,1181720,1181735,1181736,1181738,1181747,1181753,1181818,1181843,1181854,1181896,1181958,1181960,1181985,1182047,1182118,1182128,1182140,1182171,1182175,1182259,1182265,1182266,1182267,1182268,1182271,1182272,1182273,1182275,1182276,1182278,1182283,1182374,1182380,1182381,1182406,1182430,1182439,1182441,1182442,1182443,1182444,1182445,1182446,1182447,1182449,1182454,1182455,1182456,1182457,1182458,1182459,1182460,1182461,1182462,1182463,1182464,1182465,1182466,1182485,1182489,1182490,1182547,1182558,1182560,1182561,1182571,1182599,1182602,1182626,1182650,1182672,1182676,1182683,1182684,1182686,1182697,1182770,1182798,1182800,1182801,1182854,1182856
CVE References: CVE-2020-12362,CVE-2020-12363,CVE-2020-12364,CVE-2020-12373,CVE-2020-29368,CVE-2020-29374,CVE-2021-26930,CVE-2021-26931,CVE-2021-26932
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    kernel-debug-5.3.18-lp152.66.2, kernel-default-5.3.18-lp152.66.2, kernel-default-base-5.3.18-lp152.66.2.lp152.8.23.2, kernel-docs-5.3.18-lp152.66.2, kernel-kvmsmall-5.3.18-lp152.66.2, kernel-obs-build-5.3.18-lp152.66.2, kernel-obs-qa-5.3.18-lp152.66.2, kernel-preempt-5.3.18-lp152.66.2, kernel-source-5.3.18-lp152.66.2, kernel-syms-5.3.18-lp152.66.2
Comment 17 Swamp Workflow Management 2021-03-09 20:23:04 UTC
SUSE-SU-2021:0738-1: An update that solves 9 vulnerabilities and has 114 fixes is now available.

Category: security (important)
Bug References: 1065600,1065729,1078720,1081134,1084610,1132477,1151927,1152472,1152489,1154353,1155518,1156395,1163776,1169514,1170442,1176248,1176855,1177109,1177326,1177440,1177529,1178142,1178995,1179082,1179137,1179243,1179428,1179660,1179929,1180058,1180846,1180964,1180989,1181133,1181259,1181544,1181574,1181637,1181655,1181671,1181674,1181710,1181720,1181735,1181736,1181738,1181747,1181753,1181818,1181843,1181854,1181896,1181958,1181960,1181985,1182047,1182118,1182128,1182140,1182171,1182175,1182259,1182265,1182266,1182267,1182268,1182271,1182272,1182273,1182275,1182276,1182278,1182283,1182374,1182380,1182381,1182406,1182430,1182439,1182441,1182442,1182443,1182444,1182445,1182446,1182447,1182449,1182454,1182455,1182456,1182457,1182458,1182459,1182460,1182461,1182462,1182463,1182464,1182465,1182466,1182485,1182489,1182490,1182547,1182558,1182560,1182561,1182571,1182599,1182602,1182626,1182650,1182672,1182676,1182683,1182684,1182686,1182770,1182798,1182800,1182801,1182854,1182856
CVE References: CVE-2020-12362,CVE-2020-12363,CVE-2020-12364,CVE-2020-12373,CVE-2020-29368,CVE-2020-29374,CVE-2021-26930,CVE-2021-26931,CVE-2021-26932
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Public Cloud 15-SP2 (src):    kernel-azure-5.3.18-18.38.1, kernel-source-azure-5.3.18-18.38.1, kernel-syms-azure-5.3.18-18.38.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 18 Swamp Workflow Management 2021-03-09 20:51:51 UTC
SUSE-SU-2021:0735-1: An update that solves 9 vulnerabilities and has 112 fixes is now available.

Category: security (important)
Bug References: 1065600,1065729,1078720,1081134,1084610,1132477,1151927,1152472,1152489,1154353,1155518,1156395,1163776,1169514,1170442,1176248,1176855,1177109,1177326,1177440,1177529,1178142,1179082,1179137,1179243,1179428,1179660,1179929,1180058,1180846,1180989,1181133,1181259,1181574,1181637,1181655,1181671,1181674,1181710,1181720,1181735,1181736,1181738,1181747,1181753,1181818,1181843,1181854,1181896,1181958,1181960,1181985,1182047,1182118,1182128,1182140,1182171,1182175,1182259,1182265,1182266,1182267,1182268,1182271,1182272,1182273,1182275,1182276,1182278,1182283,1182374,1182380,1182381,1182406,1182430,1182439,1182441,1182442,1182443,1182444,1182445,1182446,1182447,1182449,1182454,1182455,1182456,1182457,1182458,1182459,1182460,1182461,1182462,1182463,1182464,1182465,1182466,1182485,1182489,1182490,1182547,1182558,1182560,1182561,1182571,1182599,1182602,1182626,1182650,1182672,1182676,1182683,1182684,1182686,1182770,1182798,1182800,1182801,1182854,1182856,1183022
CVE References: CVE-2020-12362,CVE-2020-12363,CVE-2020-12364,CVE-2020-12373,CVE-2020-29368,CVE-2020-29374,CVE-2021-26930,CVE-2021-26931,CVE-2021-26932
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Realtime 15-SP2 (src):    kernel-rt-5.3.18-28.1, kernel-rt_debug-5.3.18-28.1, kernel-source-rt-5.3.18-28.1, kernel-syms-rt-5.3.18-28.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 19 Swamp Workflow Management 2021-03-09 21:08:48 UTC
SUSE-SU-2021:0741-1: An update that solves 9 vulnerabilities and has 117 fixes is now available.

Category: security (important)
Bug References: 1065600,1065729,1078720,1081134,1084610,1132477,1151927,1152472,1152489,1154353,1155518,1156395,1163776,1169514,1170442,1176248,1176855,1177109,1177326,1177440,1177529,1178142,1178995,1179082,1179137,1179243,1179428,1179660,1179929,1180058,1180846,1180964,1180989,1181133,1181259,1181544,1181574,1181637,1181655,1181671,1181674,1181710,1181720,1181735,1181736,1181738,1181747,1181753,1181818,1181843,1181854,1181896,1181958,1181960,1181985,1182047,1182110,1182118,1182128,1182140,1182171,1182175,1182259,1182265,1182266,1182267,1182268,1182271,1182272,1182273,1182275,1182276,1182278,1182283,1182341,1182374,1182380,1182381,1182406,1182430,1182439,1182441,1182442,1182443,1182444,1182445,1182446,1182447,1182449,1182454,1182455,1182456,1182457,1182458,1182459,1182460,1182461,1182462,1182463,1182464,1182465,1182466,1182485,1182489,1182490,1182507,1182547,1182558,1182560,1182561,1182571,1182599,1182602,1182626,1182650,1182672,1182676,1182683,1182684,1182686,1182770,1182798,1182800,1182801,1182854,1182856
CVE References: CVE-2020-12362,CVE-2020-12363,CVE-2020-12364,CVE-2020-12373,CVE-2020-29368,CVE-2020-29374,CVE-2021-26930,CVE-2021-26931,CVE-2021-26932
JIRA References: 
Sources used:
SUSE MicroOS 5.0 (src):    kernel-default-5.3.18-24.52.1, kernel-default-base-5.3.18-24.52.1.9.24.1
SUSE Linux Enterprise Workstation Extension 15-SP2 (src):    kernel-default-5.3.18-24.52.1, kernel-preempt-5.3.18-24.52.1
SUSE Linux Enterprise Module for Live Patching 15-SP2 (src):    kernel-default-5.3.18-24.52.1, kernel-livepatch-SLE15-SP2_Update_11-1-5.3.1
SUSE Linux Enterprise Module for Legacy Software 15-SP2 (src):    kernel-default-5.3.18-24.52.1
SUSE Linux Enterprise Module for Development Tools 15-SP2 (src):    kernel-docs-5.3.18-24.52.1, kernel-obs-build-5.3.18-24.52.1, kernel-preempt-5.3.18-24.52.1, kernel-source-5.3.18-24.52.1, kernel-syms-5.3.18-24.52.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    kernel-default-5.3.18-24.52.1, kernel-default-base-5.3.18-24.52.1.9.24.1, kernel-preempt-5.3.18-24.52.1, kernel-source-5.3.18-24.52.1
SUSE Linux Enterprise High Availability 15-SP2 (src):    kernel-default-5.3.18-24.52.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.